Subject: x permission lost on Windows merge

From: Lyle <[email-masked]>
Date: Sat, 19 Feb 2011 20:29:37 +0000

Hi All,
   I was just on IRC chatting about this issue. What I'm finding is that 
if a merge happens on a Windows git repo the x permission is lost, 
example (filename changed):

filename.pl

----------------------------- filename.pl -----------------------------
index 0388de4,94d7e76..9c31830
mode 100755,100755..100644

As you can see, both of the modified files are 0755 but the merged file 
is 0644. I know windows files don't have the x permission, which 
explains why the newly created merged file would be missing the x, but 
surely with filemode = false the behaviour should be to carry over the x 
from the two modified files?

This is causing me problems when the merged file gets pulled back onto 
Linux systems where it needs the x permission.

Lyle